Skip to main content
`Ctrl`+`K`

# TimeGPS

class astropy.time.TimeGPS(val1, val2, scale, precision, in_subfmt, out_subfmt, from_jd=False)

  Bases: `TimeFromEpoch`

  GPS time: seconds from 1980-01-06 00:00:00 UTC For example, 630720013.0 is midnight on January 1, 2000.

  Notes

  This implementation is strictly a representation of the number of seconds (including leap seconds) since midnight UTC on 1980-01-06. GPS can also be considered as a time scale which is ahead of TAI by a fixed offset (to within about 100 nanoseconds).

  For details, see https://www.usno.navy.mil/USNO/time/gps/usno-gps-time-transfer

  Attributes Summary

  `epoch` | Reference epoch time from which the time interval is measured.
  `epoch_format` |
  `epoch_scale` |
  `epoch_val` |
  `epoch_val2` |
  `in_subfmt` |
  `jd1` |
  `jd2` |
  `name` |
  `out_subfmt` |
  `precision` |
  `scale` | Time scale.
  `subfmts` |
  `unit` |
  `value` | Return time representation from internal jd1 and jd2.

  Methods Summary

  `fill_value`(subfmt) | Return a value corresponding to J2000 (2000-01-01 12:00:00) in this format.
  `set_jds`(val1, val2) | Initialize the internal jd1 and jd2 attributes given val1 and val2.
  `to_value`([parent]) | Return time representation from internal jd1 and jd2.

  Attributes Documentation

  epoch

    Reference epoch time from which the time interval is measured.

  epoch_format = 'iso'
  epoch_scale = 'tai'
  epoch_val = '1980-01-06 00:00:19'
  epoch_val2 = None
  in_subfmt
  jd1
  jd2
  name = 'gps'
  out_subfmt
  precision
  scale

    Time scale.

  subfmts = (('float', <class 'numpy.float64'>, None, <ufunc 'add'>), ('long', <class 'numpy.longdouble'>, <function longdouble_to_twoval>, <function twoval_to_longdouble>), ('decimal', <class 'numpy.object_'>, <numpy.vectorize object>, <numpy.vectorize object>), ('str', <class 'numpy.str_'>, <numpy.vectorize object>, <numpy.vectorize object>), ('bytes', <class 'numpy.bytes_'>, <numpy.vectorize object>, <numpy.vectorize object>))
  unit = 1.1574074074074073e-05
  value

  Methods Documentation

  classmethod fill_value(subfmt)

    Return a value corresponding to J2000 (2000-01-01 12:00:00) in this format.

    This is used as a fill value for masked arrays to ensure that any ERFA operations on the masked array will not fail due to the masked value.

  set_jds(val1, val2)

    Initialize the internal jd1 and jd2 attributes given val1 and val2. For an TimeFromEpoch subclass like TimeUnix these will be floats giving the effective seconds since an epoch time (e.g. 1970-01-01 00:00:00).

  to_value(parent=None, **kwargs)

    Return time representation from internal jd1 and jd2. Subclasses that require `parent` or to adjust the jds should override this method.